== Changelog ==
= 6.1.1 =
* Rest api updates
= 6.1 =
* Adds Order attributes in WooCommerce Orders UI
* Adds data_mode request body parameter and header for initial sync requests
* Adds filter to remove subscribe checkbox from login form
* Fixes fatal error on PHP 8.3 for Mailchimp_WooCommerce_Single_Product_Category hook
* Fixes duplicate database queries for mailchimp-woocommerce option
* Updates dependencies
= 6.0.1 =
* Fix order syncing issues related to SMS sending countries
* Fix GDPR fields saved in order meta
= 6.0 =
* Adds WooCommerce Order Fulfillments tracking
* Adds SMS phone number field with consent for checkout
* Adds Bi-directional SMS contact sync
* Adds Order creation error handling
* Adds Customer skip sync logging
* Fixes Fatal error in subscription payment processing
* Fixes Cart update incorrectly setting subscriber status to transactional
* Fixes Backorders status sync between WooCommerce and Mailchimp
* Fixes Sync status icon positioning in admin
* Fixes PHP deprecated parameter warnings on plugin connection
* Fixes Undefined array key "SERVER_NAME" log warnings
* Updates plugin metadata
* Updates js-yaml to 4.1.1
* Updates node-forge to 1.3.2
* Updates qs to 6.14.1 and express to 4.22.1
* Updates lodash to 4.17.23
* Updates playwright to 1.56.1
* Updates tar-fs to 3.1.1
* Removes unused functions
* Updates plugin metadata
= 5.7 =
* Fixes error when order is not created yet and removes unused function.
* Fixes Fatal Error scheduled subscription payment processing
* Fixes PHP warnings throwing Undefined array key “SERVER_NAME” 
* Fixes Mailchimp backorders status issues 
* Add better support for current PHP versions 
* Fixes sync-status-icon positioning issue in plugins dashboard 
* Bumps node-forge from 1.3.1 to 1.3.2 in /blocks
* Bumps to js-yaml in /blocks
* Bumps to playwright and @playwright/test in /blocks
* Bumps to tar-fs from 3.0.9 to 3.1.1 in /blocks
= 5.6 =
* Adds support for syncing based on Mailchimp list interests with a new filter
* Adds support for Multi-currency with a new filter
* Fix sync on product variant update
= 5.5.1 =
* Guest checkout sync logic fix
* Site Performance update -  Disabled mailchimp_landing_site cookie by default.
= 5.5 =
* WooCommerce block dependency updates
* Logging enhancements
* Better compatibility when external object cache is detected
* Refactor Connected Sites API connection
* Adds support for Product visibility logic for syncing
= 5.4 =
* Performance and User Interface improvements
* Ability to sync Product Short Description
= 5.3 =
* WooCommerce Product Category Sync
* Updated compatibility with WPML 4.7
* Improved database query performance to reduce processing time and optimize overall plugin efficiency
* Fix issue where logs were being saved despite setting preferences to disable logging
* Fix for trash and permanently deleted coupons
* Removed duplicate queries
* Updated various dependencies including cookie, express, and @wordpress/e2e-test-utils
* Bumped `serialize-javascript` from 6.0.1 to 6.0.2 in `/blocks`
* Bumped cookie, express, and @wordpress/e2e-test-utils-playwright**: Bumped cookie from 0.4.2 to 0.7.1, express, and @wordpress/e2e-test-utils-playwright
= 5.2 =
* Fix cached value for double opt in ( optimization )
* Fix for subscription statuses changing on updates 
* Removes WooCommerce plugin check #1226
* Fix for trashed and permanently deleted products appearing in Mailchimp 
= 5.1 =
* New Features
* Feature: Backend Optimizations/enhancements to aid in support.*
= 5.0 =
* New Features
* Feature: Introduced a user-agent header "Mailchimp Support" to identify the plugin for support. Servers blocking external post traffic should add this to their safe user-agents.*
* Fixed
* Bug: Resolved issue where product images appeared blurry after plugin updates and improved product image handling.
* Bug: Fixed PHP warning triggered when executing wpml_switch_language_action due to missing language information. Language code validation is now performed before function execution.
* Bug: Addressed syncing issues with customers and promo codes, specifically the inability to sync more than 500 orders.
* Bug: Resolved API Request Error related to Mailchimp's API during sync operations.
* Bug: Corrected inaccurate overview stats shifting during sync, which incorrectly displayed order numbers.
* Bug: Fixed an issue where esc_html was incorrectly used instead of esc_attr, causing store names to be saved with HTML entities in Mailchimp.
* Maintenance
* Maintenance: Implemented workaround for Content Security Policy issues related to unsafe-eval in mailchimp-woocommerce-public.min.js.
= 4.4.1 =
* Bump serve-static and express in /blocks for improved performance
* Resolved issue with Mailchimp sync getting stuck at 200 contacts
* Fixed deprecated warning for Menu::add_plugin_item in Mailchimp for WooCommerce 
* Corrected customer count function to ensure accurate reporting
* Fixed inaccuracies in overview stats display
* Enhanced Remote Diagnostics error handling 
= 4.4 =
* Bumps axios from 1.6.7 to 1.7.7 in /blocks
* Bumps webpack from 5.88.2 to 5.94.0 in /blocks
* Fix for Multisite users unable to activate or view plugin 
* Removes unused admin/partial files
* Updates to copy on account creation page 
= 4.3 =
* Adds Order HPOS function for pagination
* Now starts syncing customers via HPOS
* Changes sync order: customers > products > coupons > orders — and make sync actions more atomic
* Use direct WP DB SELECT / INSERT for sync options to circumvent object caching
* Removes the bundled version of Action Scheduler
* Removes checkout opt-in if customers already subscribed
* Fixes cli sync issue where historical Orders Not Syncing Correctly
* Fixes Account Connection Issue Related to Object Caching
* Fixes HTTP worker warning
* Change to replace option, transient functions with direct DB queries
* Fallback function to check for options autoloader
= 4.2.1 =
* Bug fix for product variations
* Front end optimizations
= 4.2 =
* Remote diagnostics setting maintenance 
* Adds support for syncing Wordpress user/customer account language to Mailchimp contact 
* Fix for WooCommerce coupons date_expires not syncing to Mailchimp 
* Design update for disconnect modal 
* Fix for issue with setting logging preference to none
* Enhances syncing orders by starting from newest to oldest 
* Adds WooCommerce plugin dependency feature 
* Bump braces from 3.0.2 to 3.0.3 in /blocks
= 4.1 =
* Introduced a new filter for coupons (details available in the Wiki).
* Restored the "Resync Now" button.
* Reinstated the Mailchimp icon in the WordPress admin sidebar.
* Updated the design of the Mailchimp account creation user experience.
* Fix for duplicated parent products when variation's info is edited. 
* Tested up to Woocommerce v9.0
* Support for customization of the cookie options being set
= 4.0.2 =
* Adds the Changelog back to the UI
* Tested up to Woocommerce v8.9
* Fixed connection issue when disconnecting and reconnecting
= 4.0.1 =
* Log changes
* Add audience name to overview
= 4.0 =
* Allow orders to be sent to Mailchimp even if a Wordpress user role isn't set
* Support for custom order IDs
* Updated dependabot issues related to block-based checkouts
* Refreshed plugin interface 
= 3.7 =
* Allow orders to be sent to Mailchimp even if a Wordpress user role isn't set
* Support for custom order IDs
* Updated dependabot issues related to block-based checkouts
= 3.6 =
* Add support for product image size changes
* Add sync filter for order post types
* Fix for double order issue w/ Woo subscription plugin 
* Support for changing variable products to simple products 
* Enhancement in Webhook handling due to permalink structures 
= 3.5 =
* Support for updated Mailchimp attribution methods
* Adds a Continue to Mailchimp CTA to Woo Dashboard UI
* Tested for WooCommerce v8.4 compatibility
= 3.4 =
* Fix rest_url function for installs that are not using wp_rewrite
* Strict type-checks before calling unserialize
* Better wp-cli detection for support
* Fix webhook validation during plugin updates
= 3.3 =
* Performance enhancement: Removing excessive double opt-in api calls during initial sync 
* Fix for translated product issue
* Fix for ongoing sync settings failing when double opt-in enabled 
* Fix for permalink conflicting with Webhook creation
* Fix for GDPR Marketing Preferences not captured on checkout 
* Word-wrap version update to 1.2.3 in blocks 
= 3.2 =
* Released: 08-21-2023
* fix for too few arguments to function MailChimp_Service::handleOrderUpdate()
* update to lateset version of core blocks for the site editor
* adds the plugin icon back to wp-admin menu
* adds automatic webhook cleaning
= 3.1 =
* Adds support for new product editor
* Includes tough-cookie v4.1.3
* Fixed fatal error while updating orders via API & subscription renewals
= 3.0 =
* Adds support for High Performance Order Storage (HPOS)
* Fix for campaign reports showing data from older orders
* Fix for GDPR selections updating on each checkout
* Fix for DOI enabled audience customers not syncing
* Implemented webhook cleaner function during uninstall
= 2.8.3 =
* back-end updates for support
= 2.8.2 =
* enhancements to logic for setting campaign ids on orders
* updates to WP CLI deployment automations
* patch for text encoding issue impacting abandoned carts
* fix for PHP warnings non-numeric value encountered 
= 2.8.1 =
* Surfaces Archived status for customers accounts in admin
* Updates to translation filenames 
* support for populating usermeta on initial sync
* fix for REST API caching issues 
* Initial sync interface enchancements
* Action Scheduler updates 
= 2.8 =
* Added transient to help sync manager finish
* Adds cookie enhancement filter
* Support for previous unsubscribes to be resubscribed
* Fixes the my account subscription status
* Adds option to remove the my account opt-in checkbox
* Adds ability to ignore campaign data reporting for admins
* Support for Woocommerce Blocks options
* Fix for Askew opt-in checkbox on Default Wordpress Theme
* Adds ability to use "last clicked campaign" from the API as a fallback if cookies aren't capturing revenue
= 2.7.7 =
* Added transient to help sync manager finish
= 2.7.6 =
* deprecated ExtendRestAPI filling logs
* update action scheduler version
* fix for saving profile unsubscribes
= 2.7.5 =
* fix admin subscription status checkbox flow
* remove support flag on plugin uninstall
= 2.7.4 =
* wiki article for webhook setup issues
* new filter for my account newsletter field with wiki
* add filter for products to be pushed or not
* add filter for orders to be pushed or not
= 2.7.3 =
* updates for WPCS recommendations
= 2.7.2 =
* fix for mailchimp account creation credentials
* updates to PHP warning handling
* patches bug related to WPScan
= 2.7.1 =
* Fixes the outgoing IP address defaults
* Fixes webhook creation on plugin install
* Enhancements to the support tool
= 2.7 =
* adds support for WooCommerce Checkout block
* adds support for the tracking url from Mailchimp API
* adds update function to register webhook for store 
* support for new WooCommerce admin navigation
* adds opt-in preference on My Account page
* adds subscriber status to user (customer) in Wordpress 
* now assigns double opt-in to all re-subscribers   
* now support for loading plugin files from absolute path
* adds two way sync check for webhooks on unsubscribes to and from Mailchimp
= 2.6.2 =
* compatibility for woocommerce 6.3
* UI/UX updates for situations where Action Scheduler is missing during composer installs (via .gitignore)
* trigger double opt-in messages for customers who previously unsubscribed
* improved minification of mailchimp-woocommerce-public.min.js file
* mailchimp_woocommerce_landing_site URL improvements to reflect which page the customer entered on for the first time
* better error handling with Google Analytics
* fixed bug related to Mailchimp API submission when someone was already a list member
= 2.6 =
* adds support for selectively syncing subscribers only
* updates to action scheduler dependency
= 2.5.4 =
* enhanced api error parsing
* adds site transient for tracking cart
* tested for woocommerce v5.8
= 2.5.3 =
* remove order_total and total_spent from customer submission
= 2.5.2 =
* cache gdpr fields for performance
* force a currency code when not present
* allow admins to see a newsletter checkbox if configured
= 2.5.1 =
* tested for woocommerce v5.1
* tested for wordpress v5.7
* fix for cookies.js samesite error
* adds sync completion email sent to admin
* resolves php error for mailchimp_set_user_by_email on checkout page
* additional database error handling
= 2.5 =
* interface reskin
* fix for fatal error on disabled WoooCommerce admin
= 2.4.7 =
* fix cart items with no price on product
* fix admin note issue on login
= 2.4.6 =
* fix for errors on installs with RTL Site Languages
* adds GDPR fields for GDPR enabled audiences
* locale settings from WooCommerce or WP are now auto-selected
* support for notices in the wc-admin inbox
* moves Mailchimp plugin link to bottom of Woocommerce sub navigation
= 2.4.5 =
* fixed disconnect/reconnect list issue
* fixed rest api doing it wrong alert
= 2.4.4 =
* add filter for managing woocommerce plugins
= 2.4.3 =
* WooCommerce Version 4.3 tested
* adds Mailchimp support form
* moves navigation to WooCommerce nav as a sub-item
* removes bubble h1 title element
* log tab ui enhancements
* next button for setup wizard moved to bottom of page
* required field ui enhancement
* adds a banner for setup completion in Wordpress
* overview tab ui enhancements
* audience settings tab ux improvements
* fix for cart non-numeric error
* fix for woocommerce setup wizard redirect
* fix for abandoned cart on product variations
* fix for invalid session object
* adds customer filter for on-hold orders
* fix cart posts with product variations
= 2.4.2 =
* WooCommerce Version 4.3 tested
* adds Mailchimp support form
* moves navigation to WooCommerce nav as a sub-item
* removes bubble h1 title element
* log tab ui enhancements
* next button for setup wizard moved to bottom of page
* required field ui enhancement
* adds a banner for setup completion in Wordpress
* overview tab ui enhancements
* audience settings tab ux improvements
* fix for cart non-numeric error
* fix for woocommerce setup wizard redirect
* fix for abandoned cart on product variations
* fix for invalid session object
* adds customer filter for on-hold orders
= 2.4.1 =
* adds scrolling frame for logs
* fix for Coupon Deletion via WooCommerce API
* removes all non-Mailchimp notices
* update for latest version of Action Scheduler v3.1.4
* documentation updates
* fix for errors on activation following deactivation
* fix for PHP notice on Woocommerce Import Tax rate page
* adds error handling on store add/update
* use denormalized order items values in initial sync
* adds function allowing tags for specific users
* adds include/exclude Mailchimp script
* fix for double opt-in issues on saved settings
* fixes transactionals on guest checkout
= 2.4.0 =
* update for latest Action Scheduler v3.1.4
* adds customer language on Cart and Order sync
* adds batch processing for queues
* support for Brazilian Portuguese pt_BR Language
= 2.3.6 =
* fix for Audience Defaults and Settings not visible
* improved campaign tracking on external payment gateways and API endpoints
* fix for transactionals being subscribed after force resync
= 2.3.5 - =
* updates to Action Scheduler
* create new audience option
* fixes small oauth screen layout
* number format on sync stats
* update readme description
= 2.3.4 =
* updates to Action Scheduler
= 2.3.3 =
* fixes abandoned cart issues with Paypal
* resolves Action Scheduler 3.0 compatiblity issues
* Fixes missing product images
= 2.3.2 =
* update to action scheduler v3.0.1
* adds low-bandwidth setting on sync
* fixes audience defaults settings to Mailchimp not passed
* tweaks to review banner behavior
* required fields API update
* fix for orders with deleted products
* support for orders with 0 line items
= 2.3.1 =
* adds fallback for mb_strpos if extension is not installed
* implements communications box on sync page
* adds account create for Mailchimp
* fixes Pending Payment and On-hold status orders passed to Mailchimp
* fixes for WooCommerce Fatal-errors
* support for WooCommerce vendor feature
* support for Shop Manager role by Woocommerce
* update to Text Domain for wp translation
* adds banner to review plugin after audience is synced
* support for user language based on wp get_locale() at order placement
= 2.3 =
* adds action scheduler queue system
* documentation for Custom Merge Tags
* adds more specific installation requirements
* fixes PHP Error in class-mailchimp-order.php
* fixes pop up blocks on connection
* fixes unable to sync without accepting to auto subscribe existing customers
* documentation for wp-cli class queue-command
= 2.2 =
* plugin reskin
* support for oauth to Mailchimp
* fixes sync issues with altered order IDs
* fixes issues with trashed coupons
= 2.1.17 =
* re add resync button to sync tab, after sync finishes
* renamed 'merge_vars' to 'merge_fields' as per new Mailchimp naming convention
* fixes issues with cloudflare
* honors woo currency settings
* fix for failing custom coupon type
= 2.1.16 =
* support for HTML in opt-in checkbox
* support for language translation
* fixes abandoned_cart.error
* support for audience tags
* adds responsive checkboxes for newsletter settings
* adds sanitizing function to order ids
* copy change from List terminology to Audience
= 2.1.15 =
* adds optional feedback survey on deactivate
* updates syncing engine to use REST API
* fixes edited orders syncing old and new products into Mailchimp
* adds support for remove_action
= 2.1.14 =
* Adds support for filter on newsletter field
* fixes inactive log delete button
* fixes Mailchimp option page flow and displays list defaults tab
* fixes resource not found error on logs
* fixes API Key Request errors
* fixes transactional to pending double opt in issue
* updated Variables passed to filter
= 2.1.13 =
* fixed spelling issues in plugin meta
* changed submission sequence for products to use the PATCH endpoint when applicable
* fallback on order submissions when products are not found in Mailchimp.
= 2.1.12 =
* adds error handling for blocked admin-ajax.php files
* adds support for custom merge variables
* removes global variable overwrite of REMOTE_ADDR
* fixes signup form not adding customers to Mailchimp
* support for rate limiting
* PHP 7.0 requirement messaging
* support for WooCommerce 3.5.0
* ignores amazon marketplace addresses
* fixes cart entries never being removed
= 2.1.11 =
* fix double opt in sending on transactional customers
= 2.1.10 =
* skip product when no variant can be loaded
* better validation for the view order url
* Add Initial sync label on Sync Tab
* Multisite Delete and deactivate improvements
* Mailchimp Order Notification issues support for downloadable and virtual products
* http worker lock improvement
* Add documentation about Multisite setup
* Add documentaiton for on-demand syncing
= 2.1.9 =
* Improved UI feedback when API key is invalid
* Add documentation about product categories not being supported.
* Fix order count and order total with guest accounts.
= 2.1.8 =
* GDPR compliance
* changed css class on checkbox for registration issues
* added translation for newsletter checkbox text
* only show newsletter checkbox when plugin is fully configured
* fixed various sign up form conflicts with newsletter registration button
* added link to privacy policy
* force javascript into footer for performance gains
* fix logged in user abandoned cart tracking
* WPML support
* uninstall - reinstall clean ups
= 2.1.7 =
* fixed autoloader filepath for queue command
= 2.1.6 =
* moved to an autoloader for performance enhancement
* flush database tables on un-installation to assist with stale records in the queue
* turn on standard debugging by default to help troubleshoot issues
* moved the plugin button to the left main navigation
* allow store owners to select the image size being used for products
* fix paypal new order bug where it did not send on initial placement
* add additional configuration success checks for the plugin being configured before pushing any jobs into the queue
* fix the multisite network activation issue
* hide the opt in checkbox for already logged in customers that were previously subscribed
* miscellaneous UI enhancements
= 2.1.5 =
* is_configured filters applied before certain jobs were firing and failing.
= 2.1.5 =
* added support for Polish (zloty - zł) and Moldovan Leu currencies
* update currency code for Belarusian Rouble
* queue performance enhancement
= 2.1.4 =
* updated wordpress compatibility
* updated sync details tab to show more informative stats
* queue job processing performance enhancement
* added an integrity check for queued jobs that were not getting processed
= 2.1.3 =
* Fix subscriber status for repeat transactional customers to stay transactional.
* Remove shipping and billing address requirements for order submission.
* Do not unsubscribe someone who has previously subscribed when unchecking the newsletter sign up box.
* Update newsletter checkbox style to be consistent with WooCommerce styles.
* Make sure WooCommerce plugin is running before running any plugin code.
* Fix compatibility issue with WP-Cron
= 2.1.2 =
* Fix store deletion on plugin deactivation
* Correct shipping name is now used on order notifications.
* Admin orders are now handled appropriately.
* Skip incomplete or cancelled orders from being submitted when new.
* fix hidden or inactive products from being recommended.
= 2.1.1 =
* To address performance issues previously reported, we've changed the action hook of "woocommerce_cart_updated" to use a filter "woocommerce_update_cart_action_cart_updated"
= 2.1.0 =
* Added Promo Code support.
= 2.0.2 =
* Added new logs feature to help troubleshoot isolated sync and data feed issues.
* Fixed bug with setting customers as Transactional during checkout if they had already opted in previously.
* Fixed bug where abandoned cart automation still fired after a customer completed an order.
= 2.0.1 =
* Added support for "Connected Site" scripts.
* Made physical address a required field for store setup.
* Fixed order, cart timestamps to begin using UTC.
= 2.0 =
* Support WooComerce 3.0
* Support for manually uploaded WooCommerce
* Fix for sync issues
* Fix for guest orders sync issue
* Remove Mailchimp debug logger
= 1.1.1 =
* Support for site url changes
* Fix for WP Version 4.4 compatibility issues
= 1.1.0 =
* Fix for persisting opt-in status
* Pass order URLs to Mailchimp
* Pass partial refund status to Mailchimp
= 1.0.9 =
* billing and shipping address support for orders
= 1.0.8 =
* add landing_site, financial status and discount information for orders
* fix to support php 5.3
= 1.0.7 =
* add options to move, hide and change defaults for opt-in checkbox
* add ability to re-sync and display connection details
* support for subscriptions without orders
* additional small fixes and some internal logging removal
= 1.0.6 =
* fixed conflict with the plugin updater where the class could not be loaded correctly.
* fixed error validation for store name.
* fixed cross device abandoned cart url's
= 1.0.4 =
* fix for Abandoned Carts without cookies
= 1.0.3 =
* fixed cart posts on dollar amounts greater than 1000
= 1.0.2 =
* title correction for Product Variants
* added installation checks for WooCommerce and phone contact info
* support for free orders
= 1.0 =
* added is_synicng flag to prevent sends during backfill
* fix for conflicts with Gravity Forms Pro and installation issues
* skip all Amazon orders
* allow users to set opt-in for pre-existing customers during first sync
* add Plugin Updater
= 0.1.22 =
* flag quantity as 1 if the product does not manage inventory
= 0.1.21 =
* php version check to display warnings < 5.5
= 0.1.19 =
* fix campaign tracking on new orders
= 0.1.18 =
* check woocommerce dependency before activating the plugin
= 0.1.17 =
* fix php version syntax errors for array's
= 0.1.16 =
* fix namespace conflicts
* fix free order 0.00 issue
* fix product variant naming issue
= 0.1.15 =
* adding special Mailchimp header to requests
= 0.1.14 =
* removing jquery dependencies
= 0.1.13 =
* fixing a number format issue on total_spent
= 0.1.12 =
* skipping orders placed through amazon due to seller agreements
= 0.1.11 =
* removed an extra debug log that was not needed
= 0.1.10 =
* altered debug logging and fixed store settings validation requirements
= 0.1.9 =
* using fallback to stream context during failed patch requests
= 0.1.8 =
* fixing http request header for larger patch requests
= 0.1.7 =
* fixing various bugs with the sync and product issues.
= 0.1.2 =
* fixed admin order update hook.
